脚本宝典收集整理的这篇文章主要介绍了

atom 开发vue项目(windows)注意事项

脚本宝典小编觉得挺不错的,现在分享给大家,也给大家做个参考,希望能帮助你少写一行代码,多一份安全和惬意。

1. emmet语法在vue组件内失效
C:Users用户名.atom 目录下,打开keymap.cson 文件,
最后一行添加:

'atom-text-editor[data-grammar~="vue"]:not([mini])': 'tab': 'emmet:expand-abbreviation-with-tab' 

设置之后,重启atom

2. template标签格式化时失效

需设置atom-beauty插件中,vue的配置里面,如下图:
图片描述

将此处的template去掉

3. 直接在setting里面install package安装,由于apm安装被墙,可能无法下载,扶墙或者手动安装

手动安装如下:
在C:Users用户名.atompackage 目录下通过git bash安装 (atom官方插件库)

安装之后,需要切到具体的插件目录下,初始化插件的依赖 npm install,重启atom

4. 启node服务时,用vue-cli脚手架工具,node版本低会导致编译报错,启动失败(本人 node:4.4.5 npm:4.1.1)

原因:由于低版本node在编译之前用了es6新语法,不能识别
修改build/dev-server.js 文件

if (!process.env.NODE_ENV) {     process.env.NODE_ENV = JSON.parse(config.dev.env.NODE_ENV) } 

改为(if 判断去掉):

process.env.NODE_ENV = JSON.parse(config.dev.env.NODE_ENV)  

总结

以上是脚本宝典为你收集整理的

atom 开发vue项目(windows)注意事项

全部内容,希望文章能够帮你解决

atom 开发vue项目(windows)注意事项

所遇到的程序开发问题,欢迎加入QQ群277859234一起讨论学习。如果觉得脚本宝典网站内容还不错,欢迎将脚本宝典网站推荐给程序员好友。 本图文内容来源于网友网络收集整理提供,作为学习参考使用,版权属于原作者。如您有任何意见或建议可联系处理。小编QQ:384754419,请注明来意。

80%的人都看过